OpenTTD Source: ROTTChunkHandler Struct Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Static Public Attributes
ROTTChunkHandler Struct Reference
Inheritance diagram for ROTTChunkHandler:

## Public Member Functions
void | Save () const override
| Save the chunk.
void | Load () const override
| Load the chunk.
Public Member Functions inherited from ChunkHandler
| ChunkHandler (uint32_t id, ChunkType type)
virtual void | FixPointers () const
| Fix the pointers.
virtual void | LoadCheck (size_t len=0) const
| Load the chunk for game preview.
std::string | GetName () const

## Static Public Attributes
static const SaveLoad | description []

## Additional Inherited Members
Data Fields inherited from ChunkHandler
uint32_t | id
| Unique ID (4 letters).
ChunkType | type
| Type of the chunk.

## Detailed Description

Definition at line 71 of file labelmaps_sl.cpp.

## Constructor & Destructor Documentation

## ◆ ROTTChunkHandler()

ROTTChunkHandler::ROTTChunkHandler | ( |  | ) |
| inline

Definition at line 72 of file labelmaps_sl.cpp.

## Member Function Documentation

## ◆ Load()

void ROTTChunkHandler::Load | ( |  | ) | const
| inlineoverridevirtual

Load the chunk.

Must be overridden.

Implements ChunkHandler.

Definition at line 94 of file labelmaps_sl.cpp.

References _label_object_sl_compat, ROADTYPE_END, SlCompatTableHeader(), SlIterateArray(), and SlObject().

## ◆ Save()

void ROTTChunkHandler::Save | ( |  | ) | const
| inlineoverridevirtual

Save the chunk.

Must be overridden, unless Chunk type is CH_READONLY.

Reimplemented from ChunkHandler.

Definition at line 79 of file labelmaps_sl.cpp.

References GetRoadTypeInfo(), LabelObject< T >::label, RoadTypeInfo::label, ROADTYPE_BEGIN, ROADTYPE_END, SlObject(), SlTableHeader(), and LabelObject< T >::subtype.

## Field Documentation

## ◆ description

const SaveLoad ROTTChunkHandler::description[]
| inlinestatic

Initial value:
= {
SLE_VAR(LabelObject<RoadTypeLabel>, label, SLE_UINT32),
SLE_VAR(LabelObject<RoadTypeLabel>, subtype, SLE_UINT8),
}
SLE_VAR
#define SLE_VAR(base, variable, type)
Storage of a variable in every version of a savegame.
Definition saveload.h:1017
LabelObject
Container for a label for rail or road type conversion.
Definition newgrf_commons.h:474

Definition at line 74 of file labelmaps_sl.cpp.

The documentation for this struct was generated from the following file:

- src/saveload/labelmaps_sl.cpp